NAME = minetest:get_current_modname()
WORLD = "orionworld"
FLORA = "orionflora"

minetest.register_tool(NAME .. ":hatchet", {
	description =  "basic hatchet",
	inventory_image = NAME .. "_hatchet.png",
	tool_capabilities = {
		groupcaps = {
			flora = {
				times = {
					[1] = 2 ,
					[2] = 3.2,
					[3] = 5,
				},
        maxlevel = 3
			},
			solids = {
				times = {
					[1] = 1,
					[2] = 3,
					[3] = 4,
					[4] = 6
				},
				maxlevel = 4
			},
		}
	}
})


minetest.register_craftitem(NAME .. ":rope" , {
	description = "Rope",
	inventory_image = NAME .. "_rope.png"
})


orion.craft.register("hand", {FLORA .. ":flax"}, {NAME .. ":rope"})
minetest.register_craft({
	output = NAME .. ":rope";
	type = "shapeless";
	recipe = {FLORA .. ":flax"};
})


minetest.register_craft({
	output = NAME .. ":hatchet",
	type = "shapeless",
	recipe = {
		NAME .. ":rope",
		FLORA .. ":stick",
		NAME .. ":rock_node"
	}
})
