NAME = minetest.get_current_modname()

minetest.register_node(NAME .. ":leaf", { 
	description = "Tree leaf",
	groups = { flora = 1 },
	node_dig_prediction = "air",
	tiles = { NAME .. "_leaf.png"},
	drawtype = "allfaces_optional",
	paramtype = "light",
	walkable = true,
	drop = {
		max_items = 1,
		items = {
			{ items = { NAME .. ":leaf" } }
		}
	}
})


minetest.register_craft({
        output = NAME .. ":stick",
        type = "shapeless",
        recipe = {
                NAME .. ":leaf", NAME .. ":leaf"
        },
})


minetest.register_craft({
    type = "fuel",
    recipe = NAME .. ":leaf",
    burntime = 15,
})


minetest.register_craft({
    type = "fuel",
    recipe = NAME .. ":stick",
    burntime = 12,
})
