NAME = minetest.get_current_modname()

minetest.register_node(NAME .. ":sapling", { 
	description = "Tree sapling",
	groups = { flora = 2 },
	inventory_image = NAME .. "_sapling.png",
	node_dig_prediction = "air",
	tiles = { NAME .. "_sapling_X.png"},
	drawtype = "plantlike",
	walkable = false,
	paramtype = "light",
	buildable_to = true
})


minetest.register_decoration({
	deco_type = "simple",
	place_on = "orionworld:dirt",
	decoration = NAME .. ":sapling",
	name = NAME .. ":sapling",
	height = 1
})


minetest.register_craft({
    type = "fuel",
    recipe = NAME .. ":sapling",
    burntime = 7,
})
