NAME = minetest.get_current_modname()

minetest.register_node(NAME .. ":trunk", { 
	description = "Tree trunk",
	groups = { flora = 3 },
	node_dig_prediction = "air",
	tiles = { 
		NAME .. "_trunk_core.png",
		NAME .. "_trunk_core.png",
		NAME .. "_trunk_bark.png",
		NAME .. "_trunk_bark.png",
		NAME .. "_trunk_bark.png",
		NAME .. "_trunk_bark.png"
	},
	walkable = true,
})

minetest.register_craft({
    type = "fuel",
    recipe = NAME .. ":trunk",
    burntime = 60,
})
